Bug 1511616 - The docker image check should not happen if osm_use_cockpit=false
Summary: The docker image check should not happen if osm_use_cockpit=false
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.7.z
Assignee: Luke Meyer
QA Contact: Wenkai Shi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 17:25 UTC by Matt Woodson
Modified: 2018-04-05 09:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The openshift-ansible docker_image_availability check did not utilize the osm_use_cockpit=false variable. Consequence: This check could fail because the registry-console (cockpit) image was not available, even if it would never be used. Fix: The check now consults this variable. Result: If osm_use_cockpit=false is set then the openshift-ansible docker_image_availability check will not report a missing registry-console/cockpit image.
Clone Of:
Environment:
Last Closed: 2018-04-05 09:30:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:31:32 UTC

Description Matt Woodson 2017-11-09 17:25:57 UTC
Description of problem:

If I osm_use_cockpit=false, the docker image check for the registry console should not happen.  That check was talked about here:

https://github.com/openshift/openshift-ansible/pull/5829

Version-Release number of selected component (if applicable):

3.7

Comment 2 Luke Meyer 2017-12-07 21:54:46 UTC
https://github.com/openshift/openshift-ansible/pull/6216 has merged to 3.7 a couple weeks ago. Missed changing the bug status.

Comment 3 Wenkai Shi 2017-12-08 05:15:14 UTC
Verified with version openshift-ansible-3.7.14-1.git.0.4b35b2d.el7, code has been merged.

# cat roles/openshift_health_checker/openshift_checks/docker_image_availability.py
...
            if self.get_var("osm_use_cockpit", default=True, convert=bool):
                required.add(self._registry_console_image(image_tag, image_info))
...

Comment 7 errata-xmlrpc 2018-04-05 09:30:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.